package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class KomponenKlinisHasil
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "KomponenKlinisHasil_M")
public class KomponenKlinisHasilVO extends BaseMasterVO {
	@Caption(value="Hasil Komponen Klinis")
	private String hasilKomponenKlinis;

	public void setHasilKomponenKlinis(String hasilKomponenKlinis) {
		this.hasilKomponenKlinis = hasilKomponenKlinis;
	}

	@Column(name = "HasilKomponenKlinis", nullable = false , length = 20)
	public String getHasilKomponenKlinis(){
		return this.hasilKomponenKlinis;
	}

	@Caption(value="Kode Hasil Komponen Klinis")
	private Byte kdHasilKomponenKlinis;

	public void setKdHasilKomponenKlinis(Byte kdHasilKomponenKlinis) {
		this.kdHasilKomponenKlinis = kdHasilKomponenKlinis;
	}

	@Column(name = "KdHasilKomponenKlinis", nullable = false )
	public Byte getKdHasilKomponenKlinis(){
		return this.kdHasilKomponenKlinis;
	}

	@Caption(value="QHasil Komponen Klinis")
	private Byte qHasilKomponenKlinis;

	public void setqHasilKomponenKlinis(Byte qHasilKomponenKlinis) {
		this.qHasilKomponenKlinis = qHasilKomponenKlinis;
	}

	@Column(name = "QHasilKomponenKlinis", nullable = false )
	public Byte getqHasilKomponenKlinis(){
		return this.qHasilKomponenKlinis;
	}


}

